{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
  };
  
  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system: let
      pkgs = nixpkgs.legacyPackages.${system};
    in {
      packages.default = import ./default.nix { inherit pkgs; };
      # packages.default = pkgs.writeShellScriptBin "pppwn"
      #   "${self.packages.${system}.pppwn}/bin/pppwn.py \"$@\"";
    });
}
